import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$5 } from './p-Bw2J9lll.js';
import { d as defineCustomElement$4 } from './p-DiC-xcof.js';
import { d as defineCustomElement$3 } from './p-4rdrCxSX.js';
import { d as defineCustomElement$2 } from './p-iMRbAvK6.js';

const DgaNumberInputUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaNumberInputUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.value = '';
    }
    render() {
        return (h("div", { key: '4f18ad25895c8d8a2b37ca586c07c6effee3b616' }, h("h1", { key: '8e472dc4041cd529d9f858100adbf454781838eb' }, "Number Input Example"), h("div", { key: 'd5a232edc6da9117325c2db1b4f880533161fe4d', style: { padding: '50px' } }, h("div", { key: 'b117f02e94aaa08f4813aeb0867d3f67cd2ce220', style: { display: 'flex', flexDirection: 'column', gap: '16px' } }, h("dga-number-input", { key: 'c3c19012a03d7869a8559815d9c38ac6c79cf63f', size: "lg", variant: "default", label: "Label", value: 0, required: true, helperText: "test" }), h("dga-number-input", { key: '2dd6af5f021f04b432453a4140fb40b435273736', size: "lg", variant: "darker", label: "Label", value: 0, required: true,
            // feedbackIcon
            helperText: "test" }), h("dga-number-input", { key: '499be806013aaa65b276a991b8dadb95296dc05d', size: "lg", variant: "lighter", label: "Label", value: 0, required: true,
            // feedbackIcon
            helperText: "test" }), h("dga-number-input", { key: 'af0831cc65ed6096a74a46f2164c4d2644f29796', size: "lg", variant: "darker", label: "Label", value: 0, required: true,
            // feedbackIcon
            helperText: "test" }), h("dga-label", { key: 'c548ddc93af69b15dde8830ed1677c73048138da', label: "Mandatory Text Input" }), h("dga-label", { key: 'bf39344314a06c9c690a2646c9cac33914019612', label: "Mandatory Text Input", required: true })))));
    }
}, [0, "dga-number-input-usage", {
        "value": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-number-input-usage", "dga-helper-text", "dga-icon", "dga-label", "dga-number-input"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-number-input-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaNumberInputUsage$1);
            }
            break;
        case "dga-helper-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-label":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-number-input":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaNumberInputUsage = DgaNumberInputUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaNumberInputUsage, defineCustomElement };
